wxWidgets: wxXmlAttribute Class Reference

| Version: 3.0.4

Public Member Functions | List of all members
wxXmlAttribute Class Reference
Class List by Category » XML

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/xml/xml.h>`

## Detailed Description

Represents a node attribute.

Example: in `<img src="hello.gif" id="3"/>`, `src` is an attribute with value `hello.gif` and `id` is an attribute with value `3`.

##

Library: wxXML

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxXmlDocument, wxXmlNode

## Public Member Functions
| wxXmlAttribute ()
| Default constructor. More...
| wxXmlAttribute (const wxString &name, const wxString &value, wxXmlAttribute *next=NULL)
| Creates the attribute with given name and value. More...
virtual | ~wxXmlAttribute ()
| The virtual destructor. More...
wxString | GetName () const
| Returns the name of this attribute. More...
wxXmlAttribute * | GetNext () const
| Returns the sibling of this attribute or NULL if there are no siblings. More...
wxString | GetValue () const
| Returns the value of this attribute. More...
void | SetName (const wxString &name)
| Sets the name of this attribute. More...
void | SetNext (wxXmlAttribute *next)
| Sets the sibling of this attribute. More...
void | SetValue (const wxString &value)
| Sets the value of this attribute. More...

## Constructor & Destructor Documentation

## ◆ wxXmlAttribute() [1/2]

wxXmlAttribute::wxXmlAttribute | ( |  | ) |

Default constructor.

## ◆ wxXmlAttribute() [2/2]

wxXmlAttribute::wxXmlAttribute | ( | const wxString & | name,
|  | const wxString & | value,
|  | wxXmlAttribute * | next = `NULL`
| ) |  |

Creates the attribute with given name and value.

If next is not NULL, then sets it as sibling of this attribute.

## ◆ ~wxXmlAttribute()

virtual wxXmlAttribute::~wxXmlAttribute | ( |  | ) |
| virtual

The virtual destructor.

## Member Function Documentation

## ◆ GetName()

wxString wxXmlAttribute::GetName | ( |  | ) | const

Returns the name of this attribute.

## ◆ GetNext()

wxXmlAttribute* wxXmlAttribute::GetNext | ( |  | ) | const

Returns the sibling of this attribute or NULL if there are no siblings.

## ◆ GetValue()

wxString wxXmlAttribute::GetValue | ( |  | ) | const

Returns the value of this attribute.

## ◆ SetName()

void wxXmlAttribute::SetName | ( | const wxString & | name | ) |

Sets the name of this attribute.

## ◆ SetNext()

void wxXmlAttribute::SetNext | ( | wxXmlAttribute * | next | ) |

Sets the sibling of this attribute.

## ◆ SetValue()

void wxXmlAttribute::SetValue | ( | const wxString & | value | ) |

Sets the value of this attribute.